Bug 434649 - lacks necessary privileges; not in group pulse-rt?
lacks necessary privileges; not in group pulse-rt?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-23 17:52 EST by sean
Modified: 2008-05-27 17:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 12:40:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sean 2008-02-23 17:52:46 EST
Description of problem:
.............
Feb 23 15:44:48 asterisk pulseaudio[3336]: polkit.c: Cannot set UID on session
object.
Feb 23 15:44:48 asterisk pulseaudio[3336]: main.c: Called SUID root and
real-time/high-priority scheduling was requested in th
e configuration. However, we lack the necessary priviliges:
Feb 23 15:44:48 asterisk pulseaudio[3336]: main.c: We are not in group
'pulse-rt' and PolicyKit refuse to grant us priviliges.
 Dropping SUID again.
Feb 23 15:44:48 asterisk pulseaudio[3336]: main.c: For enabling real-time
scheduling please acquire the appropriate PolicyKit 
priviliges, or become a member of 'pulse-rt', or increase the
RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
Feb 23 15:44:48 asterisk pulseaudio[3336]: pid.c: Stale PID file, overwriting.
Feb 23 15:44:48 asterisk pulseaudio[3336]: main.c: setrlimit(RLIMIT_NICE, (31,
31)) failed: Operation not permitted
Feb 23 15:44:48 asterisk pulseaudio[3336]: main.c: setrlimit(RLIMIT_RTPRIO, (9,
9)) failed: Operation not permitted
Feb 23 15:44:48 asterisk kernel: pulseaudio[3336]: segfault at c1d3 ip 00202aec
sp bfb10944 error 6 in liboil-0.3.so.0.1.0[1df
000+5f000]

Version-Release number of selected component (if applicable):

rpm -q pulseaudio PolicyKit liboil
pulseaudio-0.9.8-7.fc9.i386
PolicyKit-0.7-6.fc9.i386
liboil-0.3.13-1.fc9.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

The liboil segfault seems unrelated. BTW, simply rebuilding liboil doesn't cure it.

This seems different from other PolicyKit bug, with dealt with display auth.
Comment 1 Lubomir Kundrak 2008-02-28 12:40:51 EST
It's not necessary to have be in rt group to acquire RT privilegies. Other way
is to get it granted by PolicyKit, which is to be the preferred method in Fedora 9.
Comment 2 Mads Kiilerich 2008-05-27 17:51:50 EDT
How can RT privilegies be granted by PolicyKit?

System -> Preferences -> System -> Authorizations:
org.pulseaudio.acquire-real-time? Authorizing myself without constraints doesn't
help.

Adding myself to pulse-rt doesn't help.

I haven't been able to find any documentation about how to do it.

I post this as a question and hope that there is a simple answer. Should I post
it as a bug claiming that it doesn't work?

Note You need to log in before you can comment on or make changes to this bug.